%global srcname hyperlink

%bcond_with docs
%bcond_with tests

Summary:        A featureful, immutable, and correct URL for Python
Name:           python-%{srcname}
Version:        21.0.0
Release:        5%{?dist}
License:        MIT and BSD and OFL
URL:            https://github.com/python-hyper/hyperlink
Source0:        %url/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif
%if %{with docs}
BuildRequires:  python3dist(sphinx) python3dist(sphinx-rtd-theme)
%endif

BuildArch:      noarch

%description
The humble, but powerful, URL runs everything around us. Chances are you've
used several just to read this text. Hyperlink is a featureful, pure-Python
implementation of the URL, with an emphasis on correctness.

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
The humble, but powerful, URL runs everything around us. Chances are you've
used several just to read this text. Hyperlink is a featureful, pure-Python
implementation of the URL, with an emphasis on correctness.

%if %{with docs}
%package doc
Summary:        Documentation for %{name}

%description doc
The humble, but powerful, URL runs everything around us. Chances are you've
used several just to read this text. Hyperlink is a featureful, pure-Python
implementation of the URL, with an emphasis on correctness.
This is the documentation package for %{name}.
%endif

%prep
%autosetup -p1 -n %{srcname}-%{version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
%if %{with docs}
PYTHONPATH=%{pyproject_build_lib} sphinx-build docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%if %{with docs}
%files doc
%license LICENSE
%doc html
%endif

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.0.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 21.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Miaojun Dong <zoedong@tencent.com> - 21.0.0-1
- initial build
